Bug 583680 - JON Server getting OutOfMemoryError: Java heap space
JON Server getting OutOfMemoryError: Java heap space
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Rajan Timaniya
Corey Welton
:
Depends On:
Blocks: rhq_triage jon24-perf
  Show dependency treegraph
 
Reported: 2010-04-19 07:49 EDT by Rajan Timaniya
Modified: 2010-08-12 12:53 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:53:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file with exception (45.29 KB, text/x-log)
2010-04-19 07:49 EDT, Rajan Timaniya
no flags Details
screenshot-1 (174.57 KB, image/png)
2010-04-19 07:50 EDT, Rajan Timaniya
no flags Details
screenshot-2 (74.99 KB, image/png)
2010-04-19 07:50 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-04-19 07:49:41 EDT
Created attachment 407568 [details]
log file with exception

Description of problem:
JON Server getting OutOfMemoryError: Java heap space
2010-04-19 13:03:21,296 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[localhost].[/jboss-remoting-servlet-invoker].[ServerInvokerServlet]] Servlet.service() for servlet ServerInvokerServlet threw exception
java.lang.OutOfMemoryError: Java heap space
	at sun.reflect.GeneratedSerializationConstructorAccessor500.newInstance(Unknown Source)

Version-Release number of selected component (if applicable):
Verified on JON build #88 - Revision: 10607

How reproducible:
Always

Steps to Reproduce:
1) Install JON Server
2) Log in to JON Server with appropriate credentials 
3) Perform regular operations like create email alert, search resource from resource browser, etc.
  
Actual results:
JON Server getting 'OutOfMemoryError: Java heap space'.

Expected results:
JON Server should not stuck with 'OutOfMemoryError: Java heap space'.

Additional info:
Please refer log file and screenshot
Comment 1 Rajan Timaniya 2010-04-19 07:50:22 EDT
Created attachment 407569 [details]
screenshot-1
Comment 2 Rajan Timaniya 2010-04-19 07:50:53 EDT
Created attachment 407570 [details]
screenshot-2
Comment 3 Charles Crouch 2010-05-18 00:43:00 EDT
Rajan, can you confirm you are no longer seeing this.
Comment 4 Rajan Timaniya 2010-05-18 04:13:15 EDT
Verified on JON build #152 - Revision: 10620

Steps:
1) Install JON Server
2) Log in to JON Server with appropriate credentials 
3) Perform regular operations like create email alert, search resource from
resource browser, schedules, etc.
4) Execute automation test groups

JON Server didn't stuck with 'OutOfMemoryError: Java heap space'.
Comment 5 Corey Welton 2010-08-12 12:53:28 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.